package nc.ui.gl.dailyreport;

import java.awt.BorderLayout;
import java.awt.Insets;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.HashMap;
import javax.swing.JFrame;
import nc.bs.logging.Logger;
import nc.ui.gl.dailyreport.ButtonKey;
import nc.ui.gl.dailyreport.DailyReportView;
import nc.ui.gl.glreportforufo.GlQryVOTrasTool;
import nc.ui.gl.tools.JTableTool;
import nc.ui.glpub.IParent;
import nc.ui.glpub.IUiPanel;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ButtonObject;
import nc.ui.pub.ClientEnvironment;
import nc.ui.pub.ToftPanel;
import nc.ui.pub.linkoperate.ILinkQuery;
import nc.ui.pub.linkoperate.ILinkQueryData;
import nc.vo.bd.b54.GlorgbookVO;
import nc.vo.gl.glreport.GlQueryLinkUFOVO;
import nc.vo.glcom.balance.GlQryFormatVO;
import nc.vo.glcom.balance.GlQueryVO;
import nc.vo.ntb.outer.NtbParamVO;

public class ToftPanelView extends ToftPanel implements IUiPanel, ILinkQuery {

   private DailyReportView ivjDailyReportView = null;
   private ButtonObject[] m_Buttons = null;
   public IParent m_parent;
   public IUiPanel m_next;


   public ToftPanelView() {
      this.initialize();
   }

   public void addListener(Object objListener, Object objUserdata) {
   }

   private DailyReportView getDailyReportView() {
      if(this.ivjDailyReportView == null) {
         try {
            this.ivjDailyReportView = new DailyReportView();
            this.ivjDailyReportView.setName("DailyReportView");
            this.ivjDailyReportView.setBounds(5, 6, 771, 418);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjDailyReportView;
   }

   public void setButtonState() {
      for(int i = 0; this.getButtons() != null && i < this.getButtons().length; ++i) {
         ButtonObject btn = this.getButtons()[i];
         String tag = btn.getTag();
         if(tag.equals(ButtonKey.bnPrint)) {
            btn.setEnabled(false);
         }
      }

      this.updateButtons();
   }

   public String getTitle() {
      return NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000519");
   }

   private void handleException(Throwable exception) {
   }

   private void initButtons() {
      this.m_Buttons = new ButtonObject[4];
      this.m_Buttons[0] = new ButtonObject(ButtonKey.bnQRY);
      this.m_Buttons[0].setTag(ButtonKey.bnQRY);
      this.m_Buttons[0].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000176"));
      this.m_Buttons[0].setCode("查询");
      this.m_Buttons[1] = new ButtonObject(ButtonKey.bnLC);
      this.m_Buttons[1].setTag(ButtonKey.bnLC);
      this.m_Buttons[1].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000178"));
      this.m_Buttons[1].setCode("明细");
      this.m_Buttons[2] = new ButtonObject(ButtonKey.bnPrint);
      this.m_Buttons[2].setTag(ButtonKey.bnPrint);
      this.m_Buttons[2].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000181"));
      this.m_Buttons[2].setCode("打印");
      this.m_Buttons[3] = new ButtonObject(ButtonKey.bnRefresh, ButtonKey.bnRefresh, 2, "刷新");
      this.m_Buttons[3].setTag(ButtonKey.bnRefresh);
      this.m_Buttons[3].setName(NCLangRes.getInstance().getStrByID("20021005", "UPP20021005-000477"));
      this.m_Buttons[3].setCode("刷新");
      this.m_Buttons[3].setHint(NCLangRes.getInstance().getStrByID("20021005", "UPP20021005-000477"));
      this.m_Buttons[3].setPowerContrl(true);
      this.setButtons(this.m_Buttons);
   }

   private void initialize() {
      try {
         this.setName("ToftPanelView");
         this.setLayout(new BorderLayout());
         this.setSize(774, 419);
         this.add(this.getDailyReportView(), "Center");
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      this.initButtons();
   }

   public Object invoke(Object objData, Object objUserData) {
      return null;
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         ToftPanelView aToftPanelView = new ToftPanelView();
         exception.setContentPane(aToftPanelView);
         exception.setSize(aToftPanelView.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.ToftPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void nextClosed() {
   }

   public void onButtonClicked(ButtonObject bo) {
      try {
         for(int e = 0; e < this.m_Buttons.length; ++e) {
            if(bo.equals(this.m_Buttons[e])) {
               this.getDailyReportView().tackleBnsEvent(e);
               break;
            }
         }
      } catch (Exception var3) {
         this.showErrorMessage(var3.getMessage());
      }

   }

   public void removeListener(Object objListener, Object objUserdata) {
   }

   public void showMe(IParent p_parent) {
      p_parent.getUiManager().removeAll();
      p_parent.getUiManager().add(this, this.getName());
      if(p_parent instanceof ToftPanel) {
         ToftPanel map = (ToftPanel)p_parent;
         String e = ((GlorgbookVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).getGlorgbookname();
         map.updateStatusBarAccountMsg(e);
      }

      HashMap map1 = new HashMap();
      map1.put(this.getDailyReportView().getClass().getName(), this.getDailyReportView());

      try {
         JTableTool.INSTANCE.setColumnWidth(map1);
         this.getDailyReportView().repaint();
      } catch (Exception var4) {
         Logger.error(var4.getMessage(), var4);
      }

      this.m_parent = p_parent;
      this.getDailyReportView().setIParent(p_parent);
   }

   public boolean onClosing() {
      HashMap map = new HashMap();
      map.put(this.getDailyReportView().getClass().getName(), this.getDailyReportView());

      try {
         JTableTool.INSTANCE.saveColumnWidth(map);
      } catch (Exception var3) {
         Logger.error(var3.getMessage(), var3);
      }

      return true;
   }

   public void doQueryAction(ILinkQueryData querydata) {
      Logger.error("进入方法 doQueryAction");
      GlQueryVO qryvo = null;

      try {
         if(querydata.getUserObject() instanceof NtbParamVO) {
            qryvo = GlQryVOTrasTool.convertNtbParamVO2GlQueryVO(querydata);
         } else {
            qryvo = GlQryVOTrasTool.transferToQueryVO((GlQueryLinkUFOVO)querydata);
         }

         GlQryFormatVO e = new GlQryFormatVO();
         e.setShowZeroAmountRec(true);
         e.setMultiOrgCombine(false);
         e.setMultiCorpCombine(false);
         e.setShowHasBalanceButZeroOccur(true);
         qryvo.setFormatVO(e);
         this.getDailyReportView().doQueryAction(qryvo);
         this.setButtonState();
         Logger.error("     执行方法 doQueryAction 正常结束");
      } catch (Exception var4) {
         Logger.error(" 执行方法 doQueryAction 出错", var4);
      }

   }
}
